Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab.toolbox
Class AbstractQuery

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.queries_tab.toolbox.AbstractQuery

Direct Known Subclasses:
  InstancesQuery

    public abstract class AbstractQuery

extends Observable

Abstract Query define the basic requirement for a Query in a typical search.

Field Summary
`protected Vector` | `qCheckStatus`
`protected Vector` | `qClasses`
`protected Vector` | `qClassesNames`
`protected Vector` | `qObjects`
`protected Vector` | `qObjectsNames`
`protected Vector` | `qOperations`
`protected Vector` | `qSlots`
`protected Vector` | `qSlotsNames`

Constructor Summary
`AbstractQuery(boolean b)`

Method Summary
`void` | `addQuery(Cls cls, Slot slot, Object operation, Object object, String check, String className, String slotName, String objectName)`
`void` | `addQuery(Object[] objs, String className, String slotName, String objectName)`
`void` | `changed(String status)`
`void` | `cleanQuery()`
`String` | `getCheckStatus(int index)`
`Cls` | `getCls(int index)`
`String` | `getClsName(int index)`
`int` | `getIndex(String name)`
`String` | `getName()`
`Object` | `getObject(int index)`
`String` | `getObjectName(int index)`
`String` | `getOperation(int index)`
`int` | `getSize()`
`Slot` | `getSlot(int index)`
`String` | `getSlotName(int index)`
`abstract void` | `initialize()`
`boolean` | `isMatchAll()`
`void` | `removeQuery(int index)`
`void` | `replaceObject(Object obj, int index)`
`void` | `setMatchAll(boolean b)`
`void` | `setName(String name)`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### qClasses

    protected Vector qClasses

### qSlots

    protected Vector qSlots

### qOperations

    protected Vector qOperations

### qObjects

    protected Vector qObjects

### qCheckStatus

    protected Vector qCheckStatus

### qClassesNames

    protected Vector qClassesNames

### qSlotsNames

    protected Vector qSlotsNames

### qObjectsNames

    protected Vector qObjectsNames

Constructor Detail

### AbstractQuery

    public AbstractQuery(boolean b)

Method Detail

### addQuery

    public void addQuery(Object[] objs,
                         String className,
                         String slotName,
                         String objectName)

### addQuery

    public void addQuery(Cls cls,
                         Slot slot,
                         Object operation,
                         Object object,
                         String check,
                         String className,
                         String slotName,
                         String objectName)

### changed

    public void changed(String status)

### cleanQuery

    public void cleanQuery()

### getCheckStatus

    public String getCheckStatus(int index)

### getCls

    public Cls getCls(int index)

### getClsName

    public String getClsName(int index)

### getIndex

    public int getIndex(String name)

### getName

    public String getName()

### getObject

    public Object getObject(int index)

### getObjectName

    public String getObjectName(int index)

### getOperation

    public String getOperation(int index)

### getSize

    public int getSize()

### getSlot

    public Slot getSlot(int index)

### getSlotName

    public String getSlotName(int index)

### initialize

    public abstract void initialize()

### isMatchAll

    public boolean isMatchAll()

### removeQuery

    public void removeQuery(int index)

### replaceObject

    public void replaceObject(Object obj,
                              int index)

### setMatchAll

    public void setMatchAll(boolean b)

### setName

    public void setName(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request